import request from '../../../util/http'
import apiUrl from '../../../util/apiUrl'
import apiUrl1 from '../../../util/apiUrl1'
var app = getApp();
Page({
  data: {
    tips:true,
    selectdailytasklist: [],
  },
  onLoad(options) {
    console.log(options);
  },
  onShow() {
    this.initDailyTaskList();
  },
  //数据加载
  initDailyTaskList() {
  let employRelationNo = app.globalData.employRelationNo;
  let params = {employRelationNo:employRelationNo}
  request.httpServiceGet(apiUrl1.selectChooseDayTaskItem, params).then(data => {
    if (data.length > 0) {
      //添加选中的状态列
      let selectdailytasklist = data;
      this.setData({
        selectdailytasklist: selectdailytasklist
      });
      } else {
        this.setData({
          selectdailytasklist: []
        });
      }
    }).catch(e => {
      console.log(e);
    })

  },
  //点击选中任务
  toggleWashinGandnursing(e) {
    let currentIndex= e.target.dataset.index;//类型ID
    let id = e.target.dataset.id;//选中当前ID
    let dailytasklist=this.data.selectdailytasklist;
    for(let i=0;i<dailytasklist.length;i++){
      if(dailytasklist[i].categoryId==currentIndex){
        for(let j=0;j<dailytasklist[i].TaskItems.length;j++){
          if(dailytasklist[i].TaskItems[j].itemId==id){
            if(dailytasklist[i].TaskItems[j].choose==1){
              dailytasklist[i].TaskItems[j].choose=0;
            }else{
              dailytasklist[i].TaskItems[j].choose=1;
            }
          }
        }
      }
    }
    this.setData({
          selectdailytasklist: dailytasklist
        });
  },
  //提交数据
  dailytasksdeit() {
  let employRelationNo = app.globalData.employRelationNo;
  let dailytasklist=[];
    for(let i=0;i<this.data.selectdailytasklist.length;i++){
        let items=[];
        for(let j=0;j<this.data.selectdailytasklist[i].TaskItems.length;j++){
          if(this.data.selectdailytasklist[i].TaskItems[j].choose==1){
            items.push({itemId:this.data.selectdailytasklist[i].TaskItems[j].itemId,choose:1});
          }else{
            items.push({itemId:this.data.selectdailytasklist[i].TaskItems[j].itemId,choose:0});
          }
        }
        dailytasklist.push({categoryId:this.data.selectdailytasklist[i].categoryId,itemIds:items});
    }
  request.httpServicePost(apiUrl1.updateDayTaskItem,{employRelationNo:employRelationNo,taskItems:dailytasklist}).then(data=>{
    my.alert({
      title: '提示',
      content: '保存完成',
      buttonText: '确定',
      success: () => {
        my.navigateBack();
      }
    } );
  });
},
  closeTip(){
    this.setData({
      tips: false
    })
  },
});