import request from '../../../util/http'
import apiUrl from '../../../util/apiUrl1'
import util from '../../../util/util'
import moment from 'moment'
var app = getApp();

Page({
  data: {
    tips:true,
    servanteditlist:[],
    newSubTypeNo:''
  },
  onLoad(subtypeNo) {
    this.loadpage(subtypeNo);
  },
  loadpage(subtypeNo){
    console.log("subtypeNo=" + subtypeNo.subtypeNo);
    let employRelationNo = app.globalData.employRelationNo;
    let params = {employRelationNo:employRelationNo}
    request.httpServiceGet(apiUrl.getEmployerSubjectWhenEdit, params).then(data => {
      console.log("data=" + data)
      if (data.length > 0) {
        //加载全部的类别
        let subjectList={};
        for(let i=0;i<data.length;i++){
          if(data[i].subtypeNo==subtypeNo.subtypeNo){
              subjectList=data[i];
              this.setData({
                  newSubTypeNo:data[i].subtypeNo
              })
              console.log(subjectList);
          }
        }
        //给每个题目添加编号
        let t=1;
        for(let j=0;j<subjectList.subjectList.length;j++){
          subjectList.subjectList[j].index=t;
          t++;
        }
        this.setData({
          servanteditlist: subjectList
        });

        this.setData({
          servanteditlist: subjectList
        });
      } else {
        this.setData({
          servanteditlist: []
        });
      }
    }).catch(e => {
      console.log(e);
    })
  },
  //提交数据
  dailytasksdeit(){
    let employRelationNo = app.globalData.employRelationNo;
    let servantselectedlist=[];
    for(let j=0;j<this.data.servanteditlist.subjectList.length;j++){
      let answerstr='';
        for(let t=0;t<this.data.servanteditlist.subjectList[j].answer.length;t++){
            if(this.data.servanteditlist.subjectList[j].answer[t].isChoose){
              answerstr += this.data.servanteditlist.subjectList[j].answer[t].answer +',';
            }
        }
      //console.log(answerstr);
      if(answerstr.length>0||this.data.servanteditlist.subjectList[j].customAnswer.length>0){
        answerstr=answerstr.substring(0,answerstr.length - 1);
        servantselectedlist.push({answer: [answerstr],customAnswer: this.data.servanteditlist.subjectList[j].customAnswer,subjectId: this.data.servanteditlist.subjectList[j].subjectId});
      }
    }
      //console.log(servantselectedlist);
      console.log("dddddddd" + this.data.newSubTypeNo);
      request.httpServicePost(apiUrl.updateEmployerLove,{employRelationNo:employRelationNo,subjectList:servantselectedlist,subjectType:"SN000001",subtypeNo:this.data.newSubTypeNo}).then(data=>{
        my.alert({
          title: '提示',
          content: '设置完成',
          buttonText: '确定',
          success: () => {
            my.navigateBack();
          }
        } );
      });
  },
  //选择问题 多选
  answerselected(e){
    let checkedlist=e.detail.value;
    let servanteditlist=this.data.servanteditlist;
    //先做清除
    for(let j=0;j<servanteditlist.subjectList.length;j++){
      if(servanteditlist.subjectList[j].subjectId==e.target.dataset.id){
        for(let t=0;t<servanteditlist.subjectList[j].answer.length;t++){
            servanteditlist.subjectList[j].answer[t].isChoose=0;
        }
      }
    }
    //添加选中
    for(let j=0;j<servanteditlist.subjectList.length;j++){
      if(servanteditlist.subjectList[j].subjectId==e.target.dataset.id){
        for(let t=0;t<servanteditlist.subjectList[j].answer.length;t++){
          for(let u=0;u<checkedlist.length;u++){
            if(checkedlist[u]==servanteditlist.subjectList[j].answer[t].answer){
              servanteditlist.subjectList[j].answer[t].isChoose=1;
            }
          }
        }
      }
    }
    this.setData({
      servanteditlist: servanteditlist
    })
  },
  //问题选择单选
  answerselectedSingle(e){
    let checkedlist=e.detail.value;
    let servanteditlist=this.data.servanteditlist;
    //先做清除
    for(let j=0;j<servanteditlist.subjectList.length;j++){
      if(servanteditlist.subjectList[j].subjectId==e.target.dataset.id){
        for(let t=0;t<servanteditlist.subjectList[j].answer.length;t++){
            servanteditlist.subjectList[j].answer[t].isChoose=0;
        }
      }
    }
    //添加选中
    for(let j=0;j<servanteditlist.subjectList.length;j++){
      if(servanteditlist.subjectList[j].subjectId==e.target.dataset.id){
        for(let t=0;t<servanteditlist.subjectList[j].answer.length;t++){
          for(let u=0;u<checkedlist.length;u++){
            if(checkedlist[u]==servanteditlist.subjectList[j].answer[t].answer){
              servanteditlist.subjectList[j].answer[t].isChoose=1;
            }
            else {
              servanteditlist.subjectList[j].answer[t].isChoose=0;
            }
          }
        }
      }
    }
    this.setData({
      servanteditlist: servanteditlist
    })
  },
  //自定义问题
  customanswer(e){
    console.log(e.target.dataset.id);
    let servanteditlist=this.data.servanteditlist;
    for(let j=0;j<servanteditlist.subjectList.length;j++){
      if(servanteditlist.subjectList[j].subjectId==e.target.dataset.id){
          servanteditlist.subjectList[j].customAnswer = e.detail.value;
          break;
        }
    }
    this.setData({
      servanteditlist: servanteditlist
    })
  },
  closeTip(){
    this.setData({
      tips: false
    })
  },
  toservantdetail(){
    my.navigateTo({
      url: '../servantdetail/servantdetail'
    });
  },
});
